import service from '@/utils/request'
/*
* 其他计件单据维护
*/
// 其他计件单据侧边栏
export const getSide = (data) => {
  return service({
    url: '/mes_server/other_count_document/getTab',
    method: 'get',
    data
  })
}

// 其他计件单据列表
export const getTable = (params) => {
  return service({
    url: '/mes_server/other_count_document/getList',
    method: 'get',
    params
  })
}

// 获取单个计件单据信息
export const getInfo = (params) => {
  return service({
    url: '/mes_server/other_count_document/getInfo',
    method: 'get',
    params
  })
}

// 获取拉料计件产量维护其他信息
export const getOtherInfo = (params) => {
  return service({
    url: '/mes_server/other_count_document/getOtherInfo',
    method: 'get',
    params
  })
}
// 获取员工姓名
export const getYg = (params) => {
  return service({
    url: '/mes_server/packaging_count_document/getYg',
    method: 'get',
    params
  })
}
// 拉料计件产量维护修改
export const updateData = (data) => {
  return service({
    url: '/mes_server/other_count_document/edit',
    method: 'post',
    data
  })
}

// 新增
export const add = (data) => {
  return service({
    url: '/mes_server/other_count_document/add',
    method: 'post',
    data
  })
}